ResourceUtils (Apache Ant API)
Keywords: org.apache.tools.ant.util.ResourceUtils,ResourceUtils class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class ResourceUtils

    java.lang.Object
      |
      +--org.apache.tools.ant.util.ResourceUtils

public class ResourceUtils
extends java.lang.Object

this class provides utility methods to process resources

Since:
  Ant 1.5.2

Constructor Summary
`ResourceUtils()`

Method Summary
`static Resource[]` | `selectOutOfDateSources(ProjectComponent logTo, Resource[] source, FileNameMapper mapper, ResourceFactory targets)` tells which source files should be reprocessed based on the last modification date of target files
`static Resource[]` | `selectOutOfDateSources(ProjectComponent logTo, Resource[] source, FileNameMapper mapper, ResourceFactory targets, long granularity)` tells which source files should be reprocessed based on the last modification date of target files

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceUtils

    public ResourceUtils()

Method Detail

### selectOutOfDateSources

    public static Resource[] selectOutOfDateSources(ProjectComponent logTo,
                                                    Resource[] source,
                                                    FileNameMapper mapper,
                                                    ResourceFactory targets)

  tells which source files should be reprocessed based on the last modification date of target files

  Parameters:
    `logTo` - where to send (more or less) interesting output
    `source` - array of resources bearing relative path and last modification date
    `mapper` - filename mapper indicating how to find the target files
    `targets` - object able to map as a resource a relative path at destination
  Returns:
    array containing the source files which need to be copied or processed, because the targets are out of date or do not exist

### selectOutOfDateSources

    public static Resource[] selectOutOfDateSources(ProjectComponent logTo,
                                                    Resource[] source,
                                                    FileNameMapper mapper,
                                                    ResourceFactory targets,
                                                    long granularity)

  tells which source files should be reprocessed based on the last modification date of target files

  Parameters:
    `logTo` - where to send (more or less) interesting output
    `source` - array of resources bearing relative path and last modification date
    `mapper` - filename mapper indicating how to find the target files
    `targets` - object able to map as a resource a relative path at destination
    `granularity` - The number of milliseconds leeway to give before deciding a target is out of date.
  Returns:
    array containing the source files which need to be copied or processed, because the targets are out of date or do not exist
  Since:
    Ant 1.6.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.